import { __decorate } from 'tslib';
import { ɵɵdefineInjectable, Injectable, Input, Component, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

var TableInboxService = /** @class */ (function () {
    function TableInboxService() {
    }
    TableInboxService.ngInjectableDef = ɵɵdefineInjectable({ factory: function TableInboxService_Factory() { return new TableInboxService(); }, token: TableInboxService, providedIn: "root" });
    TableInboxService = __decorate([
        Injectable({
            providedIn: 'root'
        })
    ], TableInboxService);
    return TableInboxService;
}());

var TableInboxComponent = /** @class */ (function () {
    function TableInboxComponent() {
        this.clientes = [];
    }
    TableInboxComponent.prototype.ngOnInit = function () {
    };
    __decorate([
        Input()
    ], TableInboxComponent.prototype, "clientes", void 0);
    TableInboxComponent = __decorate([
        Component({
            selector: 'lib-table-inbox',
            template: "\n  <div>\n    <table class=\"table\">\n        <thead>\n            <tr>\n                <th>N\u00BA</th>\n                <th>Full name</th>\n                <th>Email</th>\n                <th>Age</th>\n            </tr>\n        </thead>\n        <tbody *ngFor=\"let item of clientes\">\n            <tr>\n                <td>{{item.id}}</td>\n                <td>{{item.fullName}}</td>\n                <td>{{item.email}}</td>\n                <td>{{item.age}}</td>\n            </tr>\n        </tbody>\n    </table>\n  </div>\n  "
        })
    ], TableInboxComponent);
    return TableInboxComponent;
}());

//import { ClarityModule } from '@clr/angular';
var TableInboxModule = /** @class */ (function () {
    function TableInboxModule() {
    }
    TableInboxModule = __decorate([
        NgModule({
            declarations: [TableInboxComponent],
            imports: [
                BrowserModule,
            ],
            exports: [TableInboxComponent]
        })
    ], TableInboxModule);
    return TableInboxModule;
}());

/*
 * Public API Surface of table-inbox
 */

/**
 * Generated bundle index. Do not edit.
 */

export { TableInboxComponent, TableInboxModule, TableInboxService };
//# sourceMappingURL=table-inbox.js.map
